﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:2.0.50727.42
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

[assembly: System.Runtime.Serialization.ContractNamespaceAttribute("http://Microsoft.ServiceModel.Samples", ClrNamespace="Microsoft.ServiceModel.Samples")]

namespace Microsoft.ServiceModel.Samples
{
    using System.Runtime.Serialization;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute()]
    public enum FruitType : int
    {
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        Banana = 0,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        Lemon = 1,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        Cherry = 2,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        Lime = 3,
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://Microsoft.ServiceModel.Samples", ConfigurationName="Microsoft.ServiceModel.Samples.IProvideFruit")]
    public interface IProvideFruit
    {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://Microsoft.ServiceModel.Samples/IProvideFruit/GetFruit", ReplyAction="http://Microsoft.ServiceModel.Samples/IProvideFruit/GetFruitResponse")]
        string GetFruit(Microsoft.ServiceModel.Samples.FruitType fruitType);
        
        [System.ServiceModel.OperationContractAttribute(AsyncPattern=true, Action="http://Microsoft.ServiceModel.Samples/IProvideFruit/GetFruit", ReplyAction="http://Microsoft.ServiceModel.Samples/IProvideFruit/GetFruitResponse")]
        System.IAsyncResult BeginGetFruit(Microsoft.ServiceModel.Samples.FruitType fruitType, System.AsyncCallback callback, object asyncState);
        
        string EndGetFruit(System.IAsyncResult result);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    public interface IProvideFruitChannel : Microsoft.ServiceModel.Samples.IProvideFruit, System.ServiceModel.IClientChannel
    {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
    public partial class ProvideFruitClient : System.ServiceModel.ClientBase<Microsoft.ServiceModel.Samples.IProvideFruit>, Microsoft.ServiceModel.Samples.IProvideFruit
    {
        
        public ProvideFruitClient()
        {
        }
        
        public ProvideFruitClient(string endpointConfigurationName) : 
                base(endpointConfigurationName)
        {
        }
        
        public ProvideFruitClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress)
        {
        }
        
        public ProvideFruitClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress)
        {
        }
        
        public ProvideFruitClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress)
        {
        }
        
        public string GetFruit(Microsoft.ServiceModel.Samples.FruitType fruitType)
        {
            return base.Channel.GetFruit(fruitType);
        }
        
        public System.IAsyncResult BeginGetFruit(Microsoft.ServiceModel.Samples.FruitType fruitType, System.AsyncCallback callback, object asyncState)
        {
            return base.Channel.BeginGetFruit(fruitType, callback, asyncState);
        }
        
        public string EndGetFruit(System.IAsyncResult result)
        {
            return base.Channel.EndGetFruit(result);
        }
    }
}

